# GimpUi.ColorArea.set_type

    @accepts(GimpUi.ColorArea, GimpUi.ColorAreaType)
    @returns(none)
    def set_type(self, type):
        # Python wrapper for gimp_color_area_set_type()

Changes the type of self. The GimpUi.ColorAreaType determines whether the widget shows transparency information and chooses the size of the checkerboard used to do that.

self

  Pointer to a GimpUi.ColorArea.

type

  A GimpUi.ColorAreaType.